org.apache.ignite.ml.tree.randomforest.data.impurity.basic

## Class BootstrappedVectorsHistogram

- java.lang.Object
- - org.apache.ignite.ml.dataset.feature.ObjectHistogram<BootstrappedVector>
  - - org.apache.ignite.ml.tree.randomforest.data.impurity.basic.BootstrappedVectorsHistogram

- All Implemented Interfaces:
    Serializable, DistributionComputer, Histogram<BootstrappedVector,ObjectHistogram<BootstrappedVector>>
  Direct Known Subclasses:
    CountersHistogram

      public abstract class BootstrappedVectorsHistogram
      extends ObjectHistogram<BootstrappedVector>

  Histogram for bootstrapped vectors with predefined bucket mapping logic for feature id == featureId.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Set<Integer>` | `bucketIds` Bucket ids.
    `protected BucketMeta` | `bucketMeta` Bucket meta.
    `protected int` | `featureId` Feature id.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BootstrappedVectorsHistogram(Set<Integer> bucketIds, BucketMeta bucketMeta, int featureId)` Creates an instance of BootstrappedVectorsHistogram.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Integer` | `mapToBucket(BootstrappedVector vec)` Bucket mapping.

    - ### Methods inherited from class org.apache.ignite.ml.dataset.feature.ObjectHistogram

      `addElement, buckets, computeDistributionFunction, getValue, isEqualTo, mapToCounter, newInstance, plus`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### bucketIds

          protected final Set<Integer> bucketIds

      Bucket ids.

    - #### bucketMeta

          protected final BucketMeta bucketMeta

      Bucket meta.

    - #### featureId

          protected final int featureId

      Feature id.

  - ### Constructor Detail

    - #### BootstrappedVectorsHistogram

          public BootstrappedVectorsHistogram(Set<Integer> bucketIds,
                                              BucketMeta bucketMeta,
                                              int featureId)

      Creates an instance of BootstrappedVectorsHistogram.
      Parameters:
        `bucketIds` - Bucket ids.
        `bucketMeta` - Bucket meta.
        `featureId` - Feature Id.

  - ### Method Detail

    - #### mapToBucket

          public Integer mapToBucket(BootstrappedVector vec)

      Bucket mapping.
      Specified by:
        `mapToBucket` in class `ObjectHistogram<BootstrappedVector>`
      Parameters:
        `vec` - Object.
      Returns:
        BucketId.

2021 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.11.0
Release Date | : September 11 2021